Name: sugar-datastore
Version: 0.120
Release: %mkrel 1
Summary: Datastore service for Sugar
License: GPL
Group: Graphical desktop/Other
Url: https://sugarlabs.org/
Source: https://download.sugarlabs.org/sources/sucrose/glucose/sugar-datastore/sugar-datastore-%version.tar.xz
BuildRequires: automake >= 1.16.5-3
BuildRequires: python3-devel
Requires: python3-dbus
Requires: python3-xapian-bindings

%description
This package contains a simple log like datastore able to connect with multiple
backends. The datastore supports connecting and disconnecting from backends
on the fly to help the support the limit space/memory characteristics and
the fact that network services may become unavailable at times.

%prep
%setup -q

%build
# for python3.10 support
autoreconf -fi

%configure
%make_build

%install
%make_install

%files
%license COPYING
%doc AUTHORS NEWS
%{_bindir}/*
%{_datadir}/dbus-1/services/*.service
%{python3_sitelib}/*


%changelog
* Mon Jan 16 2023 daviddavid <daviddavid> 0.120-1.mga9
+ Revision: 1933857
- new version: 0.120

* Sun Aug 21 2022 wally <wally> 0.119-1.mga9
+ Revision: 1879018
- new version 0.119
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ tv <tv>
- Rebuild for python-3.10

* Wed Mar 24 2021 tv <tv> 0.116-5.mga9
+ Revision: 1708767
- rebuild for python 3.9
+ danf <danf>
- Switch URLs from http: to https:

* Mon Feb 17 2020 umeabot <umeabot> 0.116-4.mga8
+ Revision: 1537261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 28 2019 wally <wally> 0.116-3.mga8
+ Revision: 1456354
- fix xapian requires

* Sun Oct 27 2019 wally <wally> 0.116-2.mga8
+ Revision: 1456129
- drop unneeded requires

* Sun Oct 27 2019 wally <wally> 0.116-1.mga8
+ Revision: 1456107
- new version 0.116

* Sun Sep 23 2018 umeabot <umeabot> 0.112-2.mga7
+ Revision: 1301230
- Mageia 7 Mass Rebuild

* Wed Jan 03 2018 zezinho <zezinho> 0.112-1.mga7
+ Revision: 1189951
- upgrade sugar to 0.112

* Sun May 08 2016 zezinho <zezinho> 0.108.1-1.mga6
+ Revision: 1010542
- new version

* Mon Jan 25 2016 zezinho <zezinho> 0.107.2-1.mga6
+ Revision: 927608
- new version

* Mon Jan 18 2016 zezinho <zezinho> 0.107.1-1.mga6
+ Revision: 925306
- new version 0.107.1

* Wed Dec 23 2015 zezinho <zezinho> 0.107.0-1.mga6
+ Revision: 913891
- new version

* Thu Sep 10 2015 zezinho <zezinho> 0.106.0-1.mga6
+ Revision: 875737
- new version

* Wed Oct 15 2014 umeabot <umeabot> 0.102.0-3.mga5
+ Revision: 743371
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.102.0-2.mga5
+ Revision: 689587
- Mageia 5 Mass Rebuild
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Wed Aug 06 2014 zezinho <zezinho> 0.102.0-1.mga5
+ Revision: 660264
- new version
+ pterjan <pterjan>
- Rebuild for new Python

* Wed May 21 2014 zezinho <zezinho> 0.101.0-1.mga5
+ Revision: 624788
- new version

* Fri Oct 18 2013 umeabot <umeabot> 0.98.1-3.mga4
+ Revision: 519367
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.98.1-2.mga3
+ Revision: 383622
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 27 2012 zezinho <zezinho> 0.98.1-1.mga3
+ Revision: 335608
- new version

* Mon Dec 03 2012 zezinho <zezinho> 0.98.0-1.mga3
+ Revision: 326105
- new version

* Wed Nov 21 2012 zezinho <zezinho> 0.96.0-1.mga3
+ Revision: 320041
- new version

* Mon Nov 14 2011 zezinho <zezinho> 0.95.1-1.mga2
+ Revision: 167720
- new version

* Thu Oct 20 2011 zezinho <zezinho> 0.94.0-1.mga2
+ Revision: 156917
- new version

* Mon Jul 04 2011 ennael <ennael> 0.88.0-1.mga2
+ Revision: 118408
- remove buildroot definition
- imported package sugar-datastore


* Sat Apr 03 2010 Aleksey Lim <alsroot@mandriva.org> 0.88.0-1mdv2010.1
+ Revision: 530887
- Sucrose 0.88.0 release

* Fri Oct 02 2009 Aleksey Lim <alsroot@mandriva.org> 0.86.1-1mdv2010.0
+ Revision: 452411
- Update to 0.86.1

* Fri Sep 25 2009 Aleksey Lim <alsroot@mandriva.org> 0.86.0-1mdv2010.0
+ Revision: 448706
- Update to 0.86.0

* Fri Sep 18 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.4-1mdv2010.0
+ Revision: 444482
- Update to 0.85.4

* Fri Sep 11 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.3-1mdv2010.0
+ Revision: 438304
- Update to 0.85.3

* Fri Sep 11 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.2-1mdv2010.0
+ Revision: 438302
- Update to 0.85.2

* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 0.85.1-1mdv2010.0
+ Revision: 414749
- Sucrose 0.85.2 release

* Wed Mar 04 2009 Aleksey Lim <alsroot@mandriva.org> 0.84.0-1mdv2009.1
+ Revision: 348244
- Sucrose 0.84.0 release

* Sun Feb 15 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.3-1mdv2009.1
+ Revision: 340400
- new Sucrose 0.83.5 release

* Tue Jan 20 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.2-1mdv2009.1
+ Revision: 331974
- new Sucrose 0.83.4 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 0.83.1-1mdv2009.1
+ Revision: 328384
- Sugar 0.83.3 release

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 0.82.1-2mdv2009.1
+ Revision: 328233
- rebuild

* Mon Nov 10 2008 Bogdano Arendartchuk <bogdano@mandriva.com> 0.82.1-1mdv2009.1
+ Revision: 301844
- import sugar-datastore


* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.3-2
- fix license tag

* Tue Jul 08 2008 Tomeu Vizoso <tomeu@tomeuvizoso.net> - 0.8.3-1
- Update to 0.8.3

* Fri Jun 13 2008 Simon Schampijer <simon@laptop.org> - 0.8.1-1
- Update to 0.8.1

* Tue Dec 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.6.0-1
- Fix #5218 #5254

* Wed Dec  5 2007 Marco Pesenti Gritti <marco@localhost.localdomain> - 0.5-1
- Update to 0.5

* Tue Nov 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.3-1
- Update to 0.3

* Wed Nov 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.40.20071114gitea0764a9e9
- #4662 Add the 'source' property to the model. (marco)
- #4558 Correctly encode characters in URI. (tomeu)

* Wed Nov 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.39.20071114gita42f40d575
- #4784 Use valid FAT names when saving entries to usb sticks. (tomeu)

* Mon Nov 12 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.38.20071112git6d3d607ec7
- #4783 Try harder to guess the file extension. (tomeu)
- #4796 Ignore failure to chmod files in usb sticks. (tomeu)

* Fri Nov 09 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.37.20071109git62a5c30d81
- Copy files to the profile dir when asked by an out-of-container process. (tomeu)

* Wed Nov 07 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.36.20071107git3b70954e71
- #3801 Check out files in the activity instance dir with the correct
  permissions. (tomeu)
- #4704 Fix copy of entries with file to removable devices. (tomeu)
- #4714 Fix copy of entries without file to removable devices. (tomeu)

* Tue Nov 06 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.35.20071106git74cbc13878
- #4654 Hard link files on check out instead of copying if possible. (tomeu)

* Fri Nov 02 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.34.20071102git2b5596554c
- #4234 Fix copying a download to an usb stick. (marco)

* Tue Oct  9 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.33.20071009gitcb0acdf653
- New snapshot

* Sun Oct  7 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.32.20071007gitb603f340b2
- New snapshot

* Sat Oct  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.31.20071005git23becaa683
- New snapshot

* Fri Oct  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.30.20071005git64abebe398
- New snapshot

* Fri Oct  5 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.29.20071005git87204de5b9
- New snapshot

* Thu Oct  4 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.28.20071004git902883ab7c
- New snapshot

* Thu Oct  4 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.27.20071004git23f5b3439e
- New snapshot

* Thu Sep 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.26.20070920gitdce9c18d56
- New snapshot

* Wed Sep 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.25.20070919git11013dc3ca
- New snapshot

* Tue Sep 18 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.24.20070918git48ab782a01
- New snapshot

* Fri Sep 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.23.20070914gitea13f75d6a
- New snapshot

* Wed Sep 12 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.22.20070912git7655f4d99a
- New snapshot

* Tue Sep 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.21.20070911gitb0b4c4115a
- New snapshot

* Mon Sep 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.20.20070910git617bf5d005
- New snapshot

* Sun Sep 09 2007 Dan Williams <dcbw@redhat.com> - 0.2.2-0.19.20070909git0a7e80f01a
- New snapshot (async writes and ownership transfer on update/create)

* Wed Aug 01 2007 Dan Williams <dcbw@redhat.com> - 0.2.2-0.18.20070801gita111996299
- New snapshot (fix #2607)

* Tue Jul 31 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.18.20070731git356b35a278
- New snapshot

* Sun Jul 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.17.20070729git4a4283978f
- New snapshot

* Fri Jul 27 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.16.20070727gitd0bcbf67d1
- New snapshot

* Wed Jul 25 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.15.20070725git30ce1b1378
- New snapshot

* Mon Jul 23 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.14.20070723git00570bc517
- New snapshot

* Sat Jul 21 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.13.20070720git033d224d3b
- New snapshot

* Fri Jul 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.12.20070720gite30379af95
- New snapshot

* Thu Jul 19 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.11.20070719git9aabdfb24b
- New snapshot

* Wed Jul 18 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.2.20070718git535d9835e2
- New snapshot

* Tue Jul 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.10.20070716git2978ff86bd
- New snapshot

* Tue Jul 17 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.9.20070716git643ac4dad8
- New snapshot

* Mon Jul 16 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.8.20070715git6666e28e60
- New snapshot

* Fri Jul 13 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.7.20070713git33bf60bb4f
- Remove dependencies on sqlalchemy and pyxapian
- New snapshot

* Fri Jul  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.6.20070705git18b7951026
- Full indexing refactor
- Support or in the queries

* Tue Jul  3 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.5.20070703gita248b5cb79
- Support for binary properties
- Indexer fixes
- External devices fixes

* Thu Jun 28 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.4.20070628gitd23ee8a383
- New snapshot

* Wed Jun 27 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.3.20070627gitf5a5d0ff66
- New snapshot

* Tue Jun 26 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.2.20070626git30c1a1abb8
- New snapshot

* Wed Jun 20 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.2-0.1.20070620git49f3211d34
- Update to 0.2.2
- Fix rpmlint complaints

* Mon Jun  4 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.1-3.git8d46929bf7.1
- New snapshot

* Wed May 30 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-2.gita7ec17405d
- Fix locks

* Tue May 29 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.9.20070529git
- New snapshot

* Tue May 16 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.9.20070516.2git
- Remove setuptools again

* Tue May 16 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.9.20070516git
- More performance work

* Tue May 15 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.7.20070515git
- Performance fix

* Mon May 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.7.20070514git.4
- Disable indexer, fix empty files

* Mon May 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.7.20070514git.3
- Fixes

* Mon May 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.7.20070514git.2
- Fix startup

* Mon May 14 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.7.20070514git
- New snapshot, use auto*

* Thu May 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.6.20070511git
- Fix service path

* Thu May 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.5.20070511git
- Update snapshot

* Thu May 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.4.20070510git
- Require pyxapian

* Thu May 10 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.0-1.3.20070510git
- Initial build
